<!DOCTYPE html>
<html lang="en">
  <head>
    <title>Dependabot Gitlab</title>
    <%= stylesheet_link_tag "application", "data-turbo-track": "reload" %>
  </head>

  <body>
    <%= render partial: 'header' %>
    <h1>Projects</h1>
    <%= button_to "Add new project", new_project_path, title: "Add new project", method: :get, id: :add_new_project %>
    <hr class="solid">
    <div class="search-container">
    <%= form_with url: projects_path, method: :get, id: "search-form" do |form| %>
      <div>
        <%= form.search_field :project_name, placeholder: "Project name" %>
        <%= form.submit "Search", class: "submit-search" %>
      </div>
    <% end %>
    <%= button_to "✖", projects_path, method: :get, class: "clear-search", style: "margin-left: 1px" %>
    </div>

    <% @projects.each do |project| %>
      <%= render partial: 'project_table', locals: { project: project } %>
    <% end %>
    <%= paginate @projects %>
  </body>
</html>
